import { ChainAddresses, ChainProviders } from "@connext/vector-types";
import { EthereumAddress } from "./EthereumAddress";
import { PublicIdentifier } from "./PublicIdentifier";
import { SchemaUrl } from "./SchemaUrl";
import { DefinitionName } from "./DefinitionName";
export declare class HypernetConfig {
    iframeSource: string;
    routerMnemonic: string;
    routerPublicIdentifier: PublicIdentifier;
    chainId: number;
    routerUrl: string;
    hypertokenAddress: EthereumAddress;
    hypernetProtocolDomain: string;
    defaultPaymentExpiryLength: number;
    chainProviders: ChainProviders;
    hypernetProtocolSpace: string;
    openThreadKey: string;
    chainAddresses: ChainAddresses;
    merchantIframeUrl: string;
    ceramicNodeUrl: string;
    storageAliases: Map<DefinitionName, SchemaUrl>;
    debug: boolean;
    constructor(iframeSource: string, routerMnemonic: string, routerPublicIdentifier: PublicIdentifier, chainId: number, routerUrl: string, hypertokenAddress: EthereumAddress, hypernetProtocolDomain: string, defaultPaymentExpiryLength: number, chainProviders: ChainProviders, hypernetProtocolSpace: string, openThreadKey: string, chainAddresses: ChainAddresses, merchantIframeUrl: string, ceramicNodeUrl: string, storageAliases: Map<DefinitionName, SchemaUrl>, debug: boolean);
}
//# sourceMappingURL=HypernetConfig.d.ts.map